org.apache.cassandra.thrift

## Class THsHaDisruptorServer.Factory

- java.lang.Object
- - org.apache.cassandra.thrift.THsHaDisruptorServer.Factory

All Implemented Interfaces:
  TServerFactory

Enclosing class:
  THsHaDisruptorServer

    public static class THsHaDisruptorServer.Factory
    extends java.lang.Object
    implements TServerFactory

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.thrift.TServerFactory

`TServerFactory.Args`

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.thrift.server.TServer` `buildTServer(TServerFactory.Args args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### buildTServer

    public org.apache.thrift.server.TServer buildTServer(TServerFactory.Args args)

Specified by:
  `buildTServer` in interface `TServerFactory`